program FCN;

{$APPTYPE CONSOLE}

uses
  SysUtils;

const
  BufferSize = 40000;

var
  f2: file;
  aHdl: Integer;
  gelesen: longInt;
  aBuf: Array[1..BufferSize] of byte;
  Groesse: LongInt;

begin
  WriteLN('File-Connector 1.0');
  WriteLN('Daniel Marschall');
  WriteLN('');

  if (not fileexists(ParamStr(1))) or (not fileexists(ParamStr(2))) then
  begin
    WriteLN('Syntax:');
    WriteLN('FCN original_file file_to_attach');
    ExitCode := 1;
  end
  else
  begin
    WriteLN(Format('Attaching file %s to %s.', [ParamStr(2), ParamStr(1)]));

    AssignFile(f2, ParamStr(1));
    try
      Reset(f2, 1);
      Groesse := FileSize(f2);
    finally
      CloseFile(f2);
    end;
    aHdl := FileOpen(ParamStr(1), fmOpenReadWrite);
    FileSeek(aHdl, Groesse, 0);
    AssignFile(f2, ParamStr(2));
    try
      Reset(f2, 1);
      while not Eof(f2) do
      begin
        BlockRead(f2, abuf, sizeof(abuf), gelesen);
        FileWrite(aHdl, abuf, gelesen);
      end;
    finally
      CloseFile(f2);
    end;

    WriteLN('Finished');
  end;
end.
